CatalogSpecifications
Suggest specifications
Returns up to 10 specifications matching the start of a name, key, or alias.
GET
/v1/catalog/specifications/suggestsReturns up to 10 specifications matching the start of a name, key, or alias.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
q*string
Free-text search.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/catalog/specifications/suggests?q=example" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "id": "7204558912004325301", "storeId": "7204558912004325301", "name": "Example resource", "key": "example", "aliases": [ "example" ], "order": 1, "status": "inactive", "type": "input", "level": "product" }]